#!/usr/bin/env python3

import sys
import unittest

sys.path.append('..')
from acloud import ACloudServer
from conf import SERVER, USER, PASSWORD, TOKEN


class TestApiCloud(unittest.TestCase):

    def setUp(self):
        self.server = ACloudServer(SERVER)
        print(f'In method: {self._testMethodName}')

    def test_authorized_user(self):
        expected = True
        result = self.server.login(USER, PASSWORD)
        self.assertEqual(expected, result)

    def test_unauthorized_user(self):
        expected = False
        result = self.server.login('noexiste@email.com', 'p')
        self.assertEqual(expected, result)

    def test_01_folder_create_in_root(self):
        self.server.token = TOKEN

        expected = int
        folder_name = 'test_bk'
        result = self.server.folder_create(folder_name)
        self.assertEqual(expected, type(result))

        expected = True
        result = self.server.delete(result, True)
        self.assertEqual(expected, result)


if __name__ == '__main__':
    unittest.main()
